//EC01C JOB MSGCLASS=H,MSGLEVEL=(1,1),NOTIFY=&SYSUID,REGION=0M          00001000
//CICSC    PROC SUFFIX=1,           Suffix for translator module       00010000
//       INDEX='CTS130.CICS530', Qualifier(s) for CICS libraries        00020000
//       PROGLIB='USERID.CICS.LOAD',  Name of o/p library@BA25137C      00030000
//       DSCTLIB='USERID.C.H',       Private macro/dsect@BA25137C       00040000
//       OUTC=A,                     Class for print output             00050000
//       REG=2M,                     Region size for all steps          00060000
//       WRKSPC='(3200,(30,30))',    Work SPACE parameter values        00070000
//       DCB80='(RECFM=FB,LRECL=80,BLKSIZE=3200)',                      00080000
//    CPARM='RENT SO LONGNAME',                                         00121004
//       COMPHLQ='PP.ADLE370.OS390210',                                 00130000
//*      COMHLQ='SYS1',              Qualifier(s) for 'PL/1' libraries  00140000
//       PPARM='MAP',                Prelink parameters                 00150006
//         LNKPARM='AMODE(31),RMODE(ANY),LIST,MAP,LET,XREF',            00160000
//*                                  Link edit parameters               00170000
//       WORK=SYSDA                  Unit for work datasets             00180000
//*                                                                     00190000
//*        This procedure is used to translate,compile and linkedit     00200000
//*        CICS transaction programs.                                   00210001
//*                                                                     00230000
//*        The procedure contains 5 steps                               00240000
//*        1.   Exec the C translator (using the supplied suffix 1)    00250000
//*        2.   Exec the C/370 compiler                                 00260000
//*        3.   Reblock SDFC370(DFHEILID)for use by the linkedit step   00270003
//*        4.   Exec the C/370 pre-linkedit                             00280000
//*        5.   Linkedit the output to dataset &PROGLIB                 00290000
//*                                                                     00300000
//*        The following JCL should be used                             00310000
//*        to execute this procedure                                    00320000
//*                                                                     00330000
//*        //APPLPROG EXEC DFHEXTDL                                     00340000
//*        //TRN.SYSIN  DD *                                            00350000
//*           .                                                         00360000
//*           . C application source program                            00370000
//*           .                                                         00380000
//*        /*                                                           00390000
//*        //LKED.SYSIN DD *                                            00400000
//*         NAME anyname(R)                                             00410000
//*        /*                                                           00420000
//*                                                                     00430000
//*      Where   anyname   is the name of your application program.     00440000
//*      (refer to the system definition guide for full details.)       00450000
//*                                                                     00460000
//TRN      EXEC PGM=DFHEDP&SUFFIX,                                      00470000
//         REGION=&REG                                                  00480000
//STEPLIB  DD DSN=&INDEX..SDFHLOAD,DISP=SHR                             00490000
//SYSPRINT DD SYSOUT=&OUTC                                              00500000
//SYSPUNCH DD DSN=&&SYSCIN,                                             00510000
//         DISP=(,PASS),UNIT=&WORK,                                     00520000
//         DCB=BLKSIZE=400,                                             00530000
//         SPACE=(400,(400,100))                                        00540000
//*                                                                     00550000
//C        EXEC PGM=CBCDRVR,                                            00551000
//         REGION=&REG,                                                 00551100
//         COND=(7,LT,TRN),                                             00551200
//         PARM=('/&CPARM')                                             00551300
//SYSLIB   DD DSN=&DSCTLIB,DISP=SHR                                     00551400
//         DD DSN=&INDEX..SDFHC370,DISP=SHR                             00551500
//         DD DSN=&INDEX..SDFHMAC,DISP=SHR                              00551600
//         DD DSN=&INDEX..SDFHSAMP,DISP=SHR                             00551700
//**         DD DSNAME=SYS1.MQM.SCSQC370,DISP=SHR      MQSERIES HEADERS 00559100
//**         DD DSNAME=SYS1.SEZACMAC,DISP=SHR          TCPIP HEADERS    00559200
//           DD DSNAME=&COMPHLQ..SCEEH.H,DISP=SHR     LE390 HEADERS     00559300
//           DD DSNAME=&COMPHLQ..SCEEH.SYS.H,DISP=SHR LE390 SYS/HEADERS 00559400
//SYSOUT     DD SYSOUT=&OUTC                                            00559600
//SYSCPRT    DD SYSOUT=&OUTC                                            00559700
//SYSPRINT DD SYSOUT=&OUTC                                              00559800
//SYSMSGS  DD DSN=&COMPHLQ..SCEEMSGP(EDCPMSGE),DISP=SHR                 00630000
//SYSLIN   DD DSN=&&LOAD,DISP=(,PASS),                                  00690000
//            UNIT=&WORK,SPACE=&WRKSPC,DCB=&DCB80                       00700000
//SYSIN    DD DSN=*.TRN.SYSPUNCH,DISP=(OLD,DELETE)                      00930000
//*                                                                     00940000
//COPYLINK EXEC PGM=IEBGENER,COND=((7,LT,C),(7,LT,TRN))                 00950000
//SYSUT1   DD DSN=&INDEX..SDFHC370(DFHEILID),DISP=SHR                   00952003
//SYSUT2   DD DSN=&&COPYLINK,DISP=(,PASS),                              00970000
//            DCB=&DCB80,                                               00980000
//            UNIT=&WORK,SPACE=(400,(20,20))                            00990000
//SYSPRINT DD SYSOUT=&OUTC                                              01000000
//SYSIN    DD DUMMY                                                     01010000
//*                                                                     01020000
//PLKED    EXEC PGM=EDCPRLK,COND=((7,LT,C),(7,LT,TRN)),                 01030000
//         REGION=&REG,PARM='&PPARM'                                    01040000
//STEPLIB  DD DSN=&COMPHLQ..SCEERUN,DISP=SHR                            01050000
//SYSMSGS  DD DSN=&COMPHLQ..SCEEMSGP(EDCPMSGE),DISP=SHR                 01071000
//SYSLIB   DD DUMMY                                                     01090000
//SYSIN    DD DSN=*.C.SYSLIN,DISP=(OLD,DELETE)                          01100000
//SYSMOD   DD DSN=&&PLNK,DISP=(,PASS),                                  01110000
//            UNIT=&WORK,SPACE=&WRKSPC,DCB=&DCB80                       01120000
//SYSOUT   DD SYSOUT=&OUTC                                              01130000
//SYSPRINT DD SYSOUT=&OUTC                                              01140000
//*                                                                     01150000
//LKED     EXEC PGM=HEWL,REGION=&REG,                                   01160000
//         PARM='&LNKPARM',                                             01170000
//         COND=((7,LT,C),(7,LT,PLKED),(7,LT,TRN))                      01180000
//SYSLIB   DD DSN=&COMPHLQ..SCEELKED,DISP=SHR                           01200005
//         DD DSN=&INDEX..SDFHLOAD,DISP=SHR                             01210006
//SYSLIN   DD DSN=*.COPYLINK.SYSUT2,DISP=(OLD,DELETE)                   01220000
//         DD DSN=*.PLKED.SYSMOD,DISP=(OLD,DELETE)                      01230000
//         DD DDNAME=SYSIN                                              01240000
//SYSLMOD  DD DSN=&PROGLIB,DISP=SHR                                     01250000
//SYSUT1   DD DSN=&&SYSUT1L,DISP=(,PASS),                               01260000
//            UNIT=&WORK,SPACE=&WRKSPC,DCB=&DCB80                       01270000
//SYSPRINT DD SYSOUT=&OUTC                                              01280000
//   PEND                                                               01290000
//   EXEC CICSC                                                         01300000
//TRN.SYSIN DD DISP=SHR,DSN=USERID.CICS.SRC(EC01)                       01310002
/*                                                                      09910000
//LKED.SYSIN DD *                                                       09911000
 NAME EC01(R)                                                           09912006
/*                                                                      09913000
//                                                                      09920000